Page 3 of 15 FirstFirst 123456713 ... LastLast
Results 21 to 30 of 147
Like Tree85Likes

Thread: The [Upset about] Sierra Thread

  1. #21
    Practically a UAD Expert Kcatthedog's Avatar
    Join Date
    Dec 2011
    Posts
    7,329
    I see 10.10 in the app store ?

  2. #22
    UAD User 337is's Avatar
    Join Date
    Jan 2016
    Location
    Berrien Springs, MI
    Posts
    53
    Quote Originally Posted by woodyreed View Post
    OK, if that is the case, then why don't they put the name in "about this mac"? I'm on 10.9.5 and I have no idea what "name" that is unless I do a search. And then to know what order the OS is in, you'd have to look it up. Where as I know for sure 10.7 is before 10.8. A name just convolutes things IMO. And apple has been convoluting things a lot lately.
    They added your request:

    Screen Shot 2016-09-22 at 5.55.04 PM.png
    DanButsu likes this.

  3. #23
    Up and Comer
    Join Date
    Sep 2016
    Posts
    2
    Quote Originally Posted by 337is View Post
    And at least as far back as El Capitan:
    Attached Images Attached Images
    slamthecrank and 337is like this.

  4. #24
    Up and Comer
    Join Date
    Sep 2016
    Posts
    4
    It is unthinkable that any company would step up to say, "Please don't upgrade your computer OS to the newer, better, faster and more stable operating system, because we are simply too lazy or uninterested, to update our drivers in a reasonable time frame."

    Sierra was not a secret update from Apple. Developers are given months and months to try the new operating system and decide what needs to be done for perfect compatibility. The SIP is apparently the problem part of the OS that stymies UADs ability to update. Or it may simply be the attempt to make sure no one can use your products in an unauthorized manner. Regardless, there is no other company in the World that is asking me to fall back to an older OS to accommodate their product.

    Say this to yourself. Please do not move forward with your life and livelihood, because we can't be on time and professional with the way we approach our business and our products!!

    Right now, I have no audio available for my Mac Pro using Sierra, because I bought an Apollo 8. If I had RME or Apogee, or anything else, I would be moving forward with no problems. I also have no UAD Plugins because the DSP required for them is inoperable.

    Shame, Shame, Shame UAD!!!!

  5. #25
    Moderator DanButsu's Avatar
    Join Date
    Jul 2012
    Location
    Montreal, Canada
    Posts
    3,835
    Almost all audio companies are in the same boat

    Sweetwater - macOS Sierra Compatibility Information
    Apollo QUAD [Original and awesome Classic Vintage Silverface!!!] | FW Satellite QUAD | UAD v9 | Mac mini 2011 i7 Quad Sever | OS X 10.8.5 | Pro Tools 12.5.2 | Studio One 3.3.1 Pro | Harrison Mixbus 2.5 | Sample of my work: dansoundsmith - Soundcloud

  6. #26
    Practically a UAD Expert Kcatthedog's Avatar
    Join Date
    Dec 2011
    Posts
    7,329
    OMG UA is forcing me to use not Sierra!!

    Really don't buy 1 second of this not on Sierra angst.

    I personally think it prudent for UA not to rush and or let it's corporate planning be dictated by Apple.

    I happily use mac computers and logic but Apple proves regularly that as a company it doesn't give a rats ass about screwing around clients with differences in new product releases.

    What exactly does Sierra do, that anybody can't do now in their current OS, daw and current ua plugs;anything ?

  7. #27
    Practically a UAD Expert Bear-Faced Cow's Avatar
    Join Date
    Oct 2014
    Location
    Guelph, Ontario
    Posts
    1,000
    Quote Originally Posted by Muzicman View Post
    Say this to yourself. Please do not move forward with your life and livelihood, because we can't be on time and professional with the way we approach our business and our products!!
    No, say this to yourself:

    Why should I be putting my life and livelihood at risk for wanting to ride the bleeding edge?

    Quote Originally Posted by Muzicman View Post
    Sierra was not a secret update from Apple. Developers are given months and months to try the new operating system and decide what needs to be done for perfect compatibility.
    Hardly!! Apple's betas are the flakiest around and they are continually moving libraries and frameworks creating moving targets for everyone. This is why many developers take a wait and see attitude. They can't afford to risk their lives and livelihoods on a crap shoot because Apple feels like they have to put out something that really hasn't done much for the audio industry since Lion (which was when the entire CoreAudio Framework was made 64-bit).

    Want to ride the bleeding edge? Brace yourself for some considerable cuts!

    Unless Sierra shows me something must-have pertaining to music over Yosemite, or if Apple's next Logic update forces me to move to Sierra, I don't see any reason to try to fix what is not broken.

    jord
    MacPro 6-Core 64GB & Thunderbay RAIDs | Apollo Quad & Octo Satellites | MOTU MTP-AV | Logic Pro X | Maschine | Reason
    Music page: http://www.reverbnation.com/jordanlchilcott - OR - http://bearfacedcow.bandcamp.com

  8. #28
    Up and Comer
    Join Date
    Sep 2016
    Posts
    4
    Testing Logic X Pro Plug-In Manager with Sierra shows this:

    Auto Tune 7 - Validated
    All iZotope - Validated
    All Native Instruments - Validated
    All PSP plug-ins - Validated
    Sonic Charge - Validated
    Toontrack - Superior Drummer - Validated
    Sonalksis - Validated
    Spectrasonics - Validated (Spectrasonics has offered a download workaround) - https://www.google.com/search?q=Spec...utf-8&oe=utf-8
    U-he - Validated
    Waves - Validated

    Two products won't work - WaveMachine - Drumagog 5 & UAD - all products hardware and plug-ins FAIL!!! Drumagog is not a deal breaker and it's a smaller company that has problems keeping up. It's not surprising that a product like this would not upgrade

    UAD charges a premium price for everything they sell, with the highly professional seal of approval being their guarantee. The only thing they don't guarantee is compatibility whenever Apple releases a new OS. And of course, Apple is doing their job with making improvements and moving forward. Sierra is an excellent OS and it is a very necessary release for Apple. UAD is obligated when they take my money to keep up with the rest of the World. I would be embarrassed to work for UAD!!

  9. #29
    Heavy UAD User
    Join Date
    Mar 2015
    Posts
    559
    I think the Sierra compatibility list from Sweetwater tells a slightly different story....

    Sierra: Mac OS 10.12 Compatibility Information (Updated 09/26/16 10:35... SweetCare
    Apollo Quad TB | Apollo16 TB | Satellite Octo TB | Satellite Quad FW | 5 x UA2192 | Avid I/O 8x8x8 | Avid HD Native | ProTools HD 12.5 | Reason | Mac Pro (2013) 8 core | MacBook Pro (2012) quad core

  10. #30
    Master of the UADiverse Matt Hepworth's Avatar
    Join Date
    May 2005
    Location
    UT, USA
    Posts
    5,221
    Indeed it does.

    By and large manufacturers advise end users to NOT update at this time.

    A minor victory for logic and reason. No pun intended.

    Quote Originally Posted by Ashford View Post
    I think the Sierra compatibility list from Sweetwater tells a slightly different story....

    Sierra: Mac OS 10.12 Compatibility Information (Updated 09/26/16 10:35... SweetCare
    PTHD> 2x Pro Tools HD4 Accel | 2x Mac Pro 8 Core (16 thread) | 2x Magma Chassis | Apogee Symphony I/O, AD16X, and AVID HD I/O | 2x UAD-2 OCTO, Solo | Pro Tools HD 10, HD 12 | Studio One V3 Pro | OSX 10.8.5

    NATIVE> nMP Ashtray/Trashcan Hex Core | OSX 10.10.4| Windows 8.1 Pro | Apollo QUAD "Classic" w/ TB, Apollo Twin DUO | TC Konnekt 48 | Samplitude Pro X | Studio One V3 Pro | SONAR Platinum | Pro Tools 12

Page 3 of 15 FirstFirst 123456713 ... LastLast

Similar Threads

  1. looking to upgrade to Sierra ok?
    By Kero in forum Support & Troubleshooting
    Replies: 3
    Last Post: 1st October 2016, 09:25 AM
  2. Replies: 6
    Last Post: 23rd February 2016, 05:37 AM
  3. Upset with UA over Apollo Cascading
    By sfw in forum Apollo Interfaces
    Replies: 37
    Last Post: 24th May 2013, 01:59 AM
  4. upset 4 the first time
    By Beat God in forum General Discussion
    Replies: 3
    Last Post: 29th September 2006, 01:01 AM
  5. Upset Customer: UAD-1 Card Doesn't Work!!
    By borgagassi in forum General Discussion
    Replies: 18
    Last Post: 6th August 2006, 06:47 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •